'From VisualWorks(R), Release 2.5.2 of September 26, 1995 on January 13, 1999 at 4:36:51 pm'!

Object subclass: #DSTRepositoryInterface
	instanceVariableNames: 'source result '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DST VSE Compatibility'!


!DSTRepositoryInterface methodsFor: 'retrieval'!

categories
	^self organization categories!

definitionFor: name

	^(self reposContents detect: [:ele | ele name = name]) getIDLDefinition!

elementFor: name

	^DSTRepository organization listAtCategoryNamed: name!

getRepositoryContents

	| dict |
	dict := IdentityDictionary new.
	ORBObject repository contents do: [:ele | dict at: ele name put: (ele getIDLDefinition: #default)].
	^dict!

names

	^self reposContents collect: [:t1 | t1 name]!

organization

	^DSTRepository organization!

reposContents

	^ORBObject repository contents! !

!DSTRepositoryInterface methodsFor: 'categories'!

addCategorie: categoryName 
	self organization addCategory: categoryName.
	^'OK'!

removeCategorie: categoryName 
	self organization removeCategory: categoryName.
	^'OK'! !

!DSTRepositoryInterface methodsFor: 'repository'!

abstractClassId

	^'78f184f5-e9bf-0000-02c7-05ba45000000' asUUID!

CORBAName

	^#'DSTRepoInterface::RepoInterface'! !

!DSTRepositoryInterface methodsFor: 'accessing'!

result

	^result!

result: anObject 

	result := anObject.!

source

	^source!

source: anObject

	source := anObject.! !

!DSTRepositoryInterface methodsFor: 'compile'!

compile
	^result := DSTRepository
				compile: source
				classified: #test
				notifying: nil!

compile: category 
	^result := DSTRepository
				compile: source
				classified: category
				notifying: nil!

compile: t1 categorie: category 
	^result := DSTRepository
				compile: source
				classified: category
				notifying: nil! !
